Holger's Java API

## com.antelmann.ooffice
Class Cell.Location

    java.lang.Object
      com.antelmann.ooffice.Cell.Location

All Implemented Interfaces:
  Serializable

Enclosing class:
  Cell

    public static class Cell.Location

extends Object
implements Serializable

represents an immutable cell location in a spreadsheet or a writer document

See Also:
  Serialized Form

Constructor Summary
`Cell.Location(int sheetOrTableIndex, int row, int column)`
`Cell.Location(int sheetIndex, String range)`
`Cell.Location(String sheetName, int row, int column)`
`Cell.Location(String sheetOrTableName, String cellAddress)`

Method Summary
`boolean` `equals(Object obj)`
`String` `getCellAddress()`
`int` `getColumn()`
`String` `getFullCellAddress(OOCalc calc)`
`int` `getRow()`
`int` `getSheetIndex()`
`String` `getSheetName()`
`int` `getTableIndex()`
`String` `getTableName()`
`int` `hashCode()`
`Cell.Location` `relativeMove(int rowDelta, int columnDelta)`
`Cell` `toCell(OOCalc calc)`
`Cell` `toCell(OOTableWriter tw)`
`Cell` `toCell(OOWriter writer)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Cell.Location

    public Cell.Location(String sheetOrTableName,
                         String cellAddress)

### Cell.Location

    public Cell.Location(int sheetOrTableIndex,
                         int row,
                         int column)

### Cell.Location

    public Cell.Location(String sheetName,
                         int row,
                         int column)

### Cell.Location

    public Cell.Location(int sheetIndex,
                         String range)

Method Detail

### toCell

    public Cell toCell(OOCalc calc)
                throws IllegalArgumentException,
                       OfficeException

  Throws:
    `IllegalArgumentException`
    `OfficeException`

### toCell

    public Cell toCell(OOWriter writer)
                throws IllegalArgumentException,
                       OfficeException

  Throws:
    `IllegalArgumentException`
    `OfficeException`

### toCell

    public Cell toCell(OOTableWriter tw)
                throws IllegalArgumentException,
                       OfficeException

  Throws:
    `IllegalArgumentException`
    `OfficeException`

### relativeMove

    public Cell.Location relativeMove(int rowDelta,
                                      int columnDelta)

### getSheetName

    public String getSheetName()

### getTableName

    public String getTableName()

### getSheetIndex

    public int getSheetIndex()

### getTableIndex

    public int getTableIndex()

### getRow

    public int getRow()

### getColumn

    public int getColumn()

### getCellAddress

    public String getCellAddress()

### getFullCellAddress

    public String getFullCellAddress(OOCalc calc)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads